/* Google fonts import */
@import url('https://fonts.googleapis.com/css2?family=Lato:wght@300&family=Oswald:wght@200;300;400;500;600;700&display=swap');

/* Asterisk wildcard selector to override default styles added by the browser */
* {
    padding: 0;
    margin: 0;
    box-sizing: border-box;
}

/********************* General styles */
body {
    min-height: 100vh;
    display: flex;
    flex-direction: column;
    /* Generic project styles */
    color: white;
    font-family: 'Lato', sans-serif;
}

h1, h2, h3 {
    font-family: 'Oswald', sans-serif;
    text-transform: uppercase;
    letter-spacing: 2px;
    color: white;
}

.hidden-heading {
    display: none;
}

/* this class is used to style the phone number links which are changed by safari */
.phone-link {
    color: red;
    font-weight: bold;
    background-color: white;
    text-decoration: underline;
}

/********************* Header styles */
header {
    background-color: olivedrab;
    padding: 0 1rem;
    position: fixed;
    z-index: 99;
    width: 100%;
    box-shadow: 0 2px 2px #3a3a3a;
    display: flex;
    justify-content: space-between;
    align-items: baseline;
}

header a {
    text-decoration: none;
    color: inherit;
}

#logo-image {
    height: 50px;
    width: auto;
    margin-right: 10px;
}
#menu {
    font-size: 110%;
    letter-spacing: 4px;
    list-style-type: none;
}

#menu > li {
    margin-bottom: 1em;
}

.active {
    border-bottom: 1px solid white;
}

/* Navbar styles with dropdown toggle */
nav {
    position: absolute;
    background-color: olivedrab;
    width: 100%;
    left: 0;
    padding: 0 1rem;
    box-shadow: 0 2px 2px #3a3a3a;
    display: none;
    top: 100%;
}

/* Nav toggle */
#nav-toggle:checked~nav {
    display: block;
}

#nav-toggle {
    display: none;
}

.nav-toggle-label {
    font-size: 2rem;
}

/********************* Main content styles for every page */
main {
    /* Enlarge main element to push footer down*/
    flex: 1 0 auto;
    /* Add margin at the top to prevent content from being covered by the header */
    margin-top: 47px;
    /* Enable flex properties for child elements */
    display: flex;
    flex-direction: column;
}

/********************* Main content styles for the home */
/* Hero section */
#hero {
    height: 600px;
    width: 100%;
    background: url("../images/guards.jpg") no-repeat center center/cover;
    position: relative;
}

#cover-text {
    /* Final rgba value sets the opacity so it is semi-transparent */
    background-color: rgba(0, 0, 128, .7);
    font-size: 130%;
    position: absolute;
    bottom: 30px;
    width: 80%;
    min-height: 200px;
    padding-top: 40px;
    padding-left: 10px;
}

#cover-text > h2, #cover-text > h3 {
    color: #ffffff;
}

/* what we offer section */
#reasons {
    background-color: lightblue;
    width: 90%;
    margin: 20px auto;
}

#reasons h2 {
    margin-bottom: 20px;
    text-align: center;
    font-size: 280%;
}

#reasons h3 {
    padding-left: 20px;
}

#benefits-physical > div,
#benefits-mental > div {
    line-height: 20px;
    margin-bottom: 20px;
    color:black;
}

#benefits p {
    padding: 0 20px;
}

#benefits hr {
    border-top: 1px solid #3a3a3a;
    margin: 5px 0;
}

#benefits-image {
    display: flex;
    align-items: center;
    justify-content: center;
    margin-bottom: 20px;
}

/* events section */
#meetups h2 {
    color:black;
    margin-bottom: 20px;
    text-align: center;
    font-size: 280%;
}

#times {
    background: url('../images/patrol5.JPG') no-repeat center/cover;
    /* Handles responsivity without the need for a media query */
    display: flex;
    flex-wrap: wrap;
}

#times div {
    color: #fafafa;
    background-color: rgba(0, 0, 0, .6);
    padding: 15px;
    text-align: center;
    /* This will not wrap on screens of less than 400px wide.
    Each div will expand to fill the available space on its row */
    flex-basis: 200px;
    flex-grow: 1;
    /* Creates a grid of meetup time divs over the background image */
    border: 2px solid white;
}

#times h3 {
    /* Override the heading colour set in general styles */
    color: #fafafa;
}

/********************* Main content styles for the gallery page */

#photos img {
    width: 100%;
    line-height: 1em;
}

#photos {
    line-height: 0;
}

/********************* Main content styles for the signup page */

#signup {
    background-image: url("../images/plane8.JPG");
    background-size: cover;
    background-position: 75%;
    padding: 20px 10% 0 10%;
    flex-grow: 1;
}


#signup-form {
    margin-top: 30px;
    color: #ffffff;
    background-color: rgba(60, 60, 60, 0.6);
    padding: 30px;
}


#signup-form>h2 {
    color: #fafafa;
    margin-bottom: 20px;
}


.text-input {
    background: transparent;
    color: #fafafa;
    width: 100%;
    height: 25px;
    margin: 5px 0 20px 0;
    border: 1px solid #fafafa;
    border-radius: 2px;
    padding: 0 5px;
}


.radio-buttons {
    width: 100%;
    display: flex;
    justify-content: space-between;
}


.join-button {
    margin-top: 20px;
    border-radius: 2px;
    padding: 15px 32px;
    font-size: 100%;
    background-color: #454b1b;
    color: #fafafa;
}

/********************* Main content styles for the help page */

#help {
    height: 600px;
    width: 100%;
    background: url("../images/support.jpg") no-repeat center center/cover;
    position: relative;
}

#help-cover-text {
    /* Final rgba value sets the opacity so it is semi-transparent */
    background-color: rgba(0, 0, 128, .7);
    font-size: 130%;
    position: absolute;
    bottom: 30px;
    width: 80%;
    min-height: 200px;
    padding-top: 40px;
    padding-left: 10px;
}

#help-cover-text > h2, #help-cover-text > h3 {
    color: #ffffff;
}

#help-info {
    /* Handles responsivity without the need for a media query */
    display: flex;
    flex-wrap: wrap;
}

#help-info div {   
    padding: 15px;
    text-align: center;
    /* This will not wrap on screens of less than 400px wide.
    Each div will expand to fill the available space on its row */
    flex-basis: 200px;
    flex-grow: 1;
    /* Creates a grid of meetup time divs over the background image */
    border: 2px solid white;
}
#emergency-services {
    background-color: lightblue;
    color: black;
    padding: 20px;
} 

#crisis {
    color: red;
}

#samaritans {
    background-color: navy;
    color: white;
    padding: 20px;
}

#combat-stress {
    background-color: olivedrab;
    color: white;
    padding: 20px;
}

#call-us {
    background-color: #3a3a3a;
    color: white;
    padding: 20px;
}

/********************* Footer content styles */

#social-networks {
    text-align: center;
    padding: 20px 0;
    display: flex;
    justify-content: space-evenly;
    list-style-type: none;
    background-color: lightblue;
}

#social-networks i {
    font-size: 160%;
    padding: 5%;
    color: navy;
}

/********************* all media queries follow here*/

/********************** Media query: large or landscape phones (576px and up) */
@media screen and (min-width: 576px) {
    #photos {
        column-count: 2;
        column-gap: 0;
    }
}

/********************* Media query: tablets and larger (768px and up) */
@media screen and (min-width: 768px) {
    /* Header */
    nav {
        display: block;
        position: relative;
        box-shadow: none;
        width: fit-content;
        padding-right: 1rem;
    }

    #menu {
        display: flex;
    }

    #menu > li {
        padding-left: 1rem;
    }

    .nav-toggle-label {
        display: none;
    }

    /* Main content */

    /* Hero */
    #cover-text {
        width: 300px;
        right: 50px;
    }

      /* Help */
    #help-cover-text {
        width: 300px;
        right: 50px;
    }


    /* Reasons section */
    #benefits-physical,
    #benefits-mental {
        display: flex;
        flex-direction: column;
        width: 100%;
    }

    #benefits-physical > div,
    #benefits-mental > div {
        width: 75%;
    }

    #benefits-mental > div {
        text-align: end;
        align-self: flex-end;
    }

    /* Gallery */
    #photos {
        column-count: 3;
    }

    /* Form */
    #signup { 
        background-position: center;
        position: relative;
    }

    #signup-form {
        max-width: 400px; 
      /*  position: absolute; */
       /* left: 10%; */
       /* top: 150px; */
    }

    
    .text-input:hover {
        border-color: #f16c6b;
    }

    .join-button:hover {
        background-color: #fafafa;
        color: #454b1b;
    }
}

/********************* Large devices (laptops and desktops, 992px and up) */
@media screen and (min-width: 992px) {
    #menu a:hover{
        border-bottom: 1px solid white;
    }

    /* Gallery */
    #photos {
        column-count: 4;
    }
}

@media screen and (min-width: 1200px) {    
    /* Reasons section */
    #benefits {
        display: flex;
        flex-direction: row;
    }

    #benefits > div {
        flex: 1;
    }

    #benefits-image {
        order: 0
    }

    #benefits-mental {
        order: 1;
    }

    #benefits-mental > div {
        align-self: flex-start;
    }

    #benefits-physical > div {
        align-self: flex-end;
    }
}